# Class: spamassassin::grants
#
#
class spamassassin::grants {
	include postgresql
	require baruwa::db
	postgresql::executesql{"grants-sql":
		username => 'postgres',
		password => $pgsql_password,
		database => $baruwa_pgsql_db,
		sql => template("spamassassin/grants.sql.erb"),
		sqlcheck => "\"\\dp\" | grep awl |grep baruwa",
		require => [Class["spamassassin::awl"], Class["spamassassin::bayes"]],
	}
}